These are chat archives for allegro/ralph

28th
Sep 2015
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:03
Hello, i install ralph-ng and i dont know why when i add Virtual servers i havent this server anywhere, i have only "2 Virtual servers (VM)" on bottom
and, i want know how to add automatic servers details to ralph. Is any agent to this?
Mateusz Kurek
@mkurek
Sep 28 2015 10:04
@MarcinJanowski see https://github.com/allegro/ralph/wiki/Ralph-3.x-roadmap - we'll migrate this functionality from ralph 2.0 by the end of the year
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:05
ohhh, thanks ;) I have problems with install ralph 2 on ubuntu 12.04, culd you help me?
ralph syncdb --all returns: django.core.exceptions.ImproperlyConfigured: ImportError scrooge: No module named scrooge, but i remove scrooge in configuration file
Mateusz Kurek
@mkurek
Sep 28 2015 10:09
do you have more detailed traceback for this exception? where it occurs?
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:09
(ralph)ralph@ralph2:~$ ralph syncdb --all No handlers could be found for logger "pluggableapp" Traceback (most recent call last): File "/home/ralph/bin/ralph", line 9, in <module> load_entry_point('ralph==2.3.1', 'console_scripts', 'ralph')() File "/home/ralph/ralph-2.3.1/src/ralph/__main__.py", line 56, in main execute_from_command_line(sys.argv) File "/home/ralph/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 443, in execute_from_command_line utility.execute() File "/home/ralph/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 382, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/home/ralph/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 261, in fetch_command klass = load_command_class(app_name, subcommand) File "/home/ralph/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 69, in load_command_class module = import_module('%s.management.commands.%s' % (app_name, name)) File "/home/ralph/local/lib/python2.7/site-packages/django/utils/importlib.py", line 35, in import_module __import__(name) File "/home/ralph/local/lib/python2.7/site-packages/south/management/commands/__init__.py", line 10, in <module> import django.template.loaders.app_directories File "/home/ralph/local/lib/python2.7/site-packages/django/template/loaders/app_directories.py", line 23, in <module> raise ImproperlyConfigured('ImportError %s: %s' % (app, e.args[0])) django.core.exceptions.ImproperlyConfigured: ImportError scrooge: No module named scrooge (ralph)ralph@ralph2:~$
oughhh...
and i must remove scrooge, becouse with scrooge requirements isn't possble to solve
Mateusz Kurek
@mkurek
Sep 28 2015 10:10
are you sure that there isn't any mention about scrooge in your config? especially in PLUGGABLE_APPS variable
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:11
oughhh... i have scrooge in PLUGGABLE_APPS
Mateusz Kurek
@mkurek
Sep 28 2015 10:13
@MarcinJanowski i'll try to fix these install dependencies errors later today
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:13
http://wklej.org/id/1805337/ - without scrooge
mkurek, i add to ralph3 test server, and this server has wrong information about CPU, where this information come from?
Mateusz Kurek
@mkurek
Sep 28 2015 10:22
this is sample hardcoded data;
your error with monotonic is very interesting (meh, openstack error, again - we have many troubles with openstack dependencies). could you send me dump of pip freeze command?
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:28
@mkurek : of course, http://wklej.org/id/1805354/
Mateusz Kurek
@mkurek
Sep 28 2015 10:33
try: pip uninstall oslo.config Babel stevedore pbr python-keystoneclient and then make install in ralph directory again (don't install scrooge for now)
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:34
Mateusz Kurek
@mkurek
Sep 28 2015 10:40
it's weird - please paste here content of your setup.py in ralph
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:41
@mkurek: i download from this: https://github.com/allegro/ralph/releases/tag/2.3.1 , this is setup.py: http://wklej.org/id/1805358/
Mateusz Kurek
@mkurek
Sep 28 2015 10:43
ok it's clear now; this release is from april - since then we commited many improvements and fixes, but didn't manage to realease it under official version; please clone git repository (develop branch) and install then: https://github.com/allegro/ralph/tree/develop and https://github.com/allegro/ralph_assets/tree/develop
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:45
but develop is in v3, yes?
Mateusz Kurek
@mkurek
Sep 28 2015 10:47
no - there is ng branch for v3 - develop is still for 2.x version
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:48
ok, thanks
@mkurek: I should clone ralph_assets in ralph directory or nearl ralph?
Mateusz Kurek
@mkurek
Sep 28 2015 10:50
no - it should be separated directory
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:50
ok
@mkurek : make: pip3: Command not found, i should install pip3 form packages, or from pip?
Mateusz Kurek
@mkurek
Sep 28 2015 10:55
you're probably on ng branch (check it with git branch)
MarcinJanowski
@MarcinJanowski
Sep 28 2015 10:57
yes, but on develop i have oher error ;) pip install -e . --use-mirrors --allow-all-external --allow-unverified ipaddr --allow-unverified postmarkup --allow-unverified pysphere no such option: --use-mirrors
when i remove this from Makefile, it works
Mateusz Kurek
@mkurek
Sep 28 2015 10:59
pip install -u pip==1.5.6
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:00
without -u option
ok, now making ;)
Mateusz Kurek
@mkurek
Sep 28 2015 11:03
should be -U :)
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:03
@mkurek : oughhh... http://wklej.org/id/1805372/
Mateusz Kurek
@mkurek
Sep 28 2015 11:04
please send once again result of pip freeze
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:05
Mateusz Kurek
@mkurek
Sep 28 2015 11:07
I don't get it - you have python-keystoneclient==0.11.0 installed according to pip freeze but at the same time you have error pkg_resources.DistributionNotFound: python-keystoneclient==0.11.0
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:08
hmmm, interesting...
i think about remove all virtual python environment
Mateusz Kurek
@mkurek
Sep 28 2015 11:10
it's probably good idea - start from scratch - install ralph and ralph_assets from develop, don't install scrooge for now
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:19
@mkurek: new errors: http://wklej.org/id/1805385/
Mateusz Kurek
@mkurek
Sep 28 2015 11:22
try pip install distribute
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:32
@mkurek: http://wklej.org/id/1805392/ new error ;)
Mateusz Kurek
@mkurek
Sep 28 2015 11:33
@MarcinJanowski i've got to go right now - i'll be there back about 5pm
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:34
@mkurek : ok, but i work from 8:00 to 4pm ;) so see you tomorrow
MarcinJanowski
@MarcinJanowski
Sep 28 2015 11:42
@mkurek: after start gunicorn from init and go to :8000: http://wklej.org/id/1805399/